@charset "utf-8";
:root { 
	--bs-caritas: #8b0305;
	--bs-main-bg : #f5f9fb;
	--bs-body-font-size:1.1rem;
}
main { background-color:var(--bs-main-bg) }
.tooltip-inner { font-size:.85rem }
.text-caritas { color:var(--bs-caritas)}
a:hover {  transition: color 0.2s linear 0s;}
/*navbar*/
#bdNavbar:not(.showing):not(.show) .navbar-nav > .nav-item > a { padding-top: 1rem; padding-bottom: 1rem; font-weight:500  }
#bdNavbar:not(.showing):not(.show) .file-menu {display:none}
#bdNavbar .navbar-nav > .nav-item > a:hover, #main-navbar .navbar-nav > .nav-item > a:focus { color:var(--bs-emphasis-color) }

#main-navbar.fixed-top {box-shadow: 0 .125rem .25rem rgba(0,0,0,.075); animation: fadeInDown 0.4s ease-in-out; background-color:var(--bs-body-bg);/*background-color:rgba(var(--bs-body-bg-rgb),.9);*/flex-direction: column;}
#main-navbar.fixed-top .progress {width:100%; position:absolute; bottom:0 }
#main-navbar.fixed-top .progress-bar {background-color:var(--bs-caritas); --bs-progress-bar-transition: width 0.2s ease-in-out;}

#main-navbar .navbar-brand, #offcanvasRight .offcanvas-title, #bdNavbar .offcanvas-header img   {letter-spacing:-1px; font-weight:600; line-height:110%; max-width:220px;min-width:220px; padding:0 }
#offcanvasRight .accordion-button {--bs-accordion-btn-padding-y:.75rem; letter-spacing:-1px;font-weight: 600; }
#offcanvasRight .accordion-button:not(.collapsed) { letter-spacing:-1px; font-weight:800 }
#offcanvasRight .accordion-button:focus { box-shadow: none }
#offcanvasRight .nav-link {--bs-nav-link-padding-y:.25rem;font-size: 1rem; }
#main-navbar-menu > li > a { font-size:1.1rem; letter-spacing:-1px  }
#main-navbar-menu > li > a:focus-visible {  box-shadow: none;}
@media screen and (min-width:992px){
	#main-navbar .navbar-brand, #bdNavbar .navbar-nav > li > a { transition: all 0.2s linear 0s; }
	header:not(.fixed-top) #main-navbar-menu .dropdown-menu, #bd-theme + .dropdown-menu, #login_skin + .dropdown-menu { margin-top:-5px/*-8px*/ }

	#main-navbar-menu .dropdown { position:static }
	#main-navbar-menu .dropdown-menu { position:absolute; left:0; right:0;padding:0; border-radius:0; border:none}
	#main-navbar-menu .dropdown-menu .dropdown-title { background:url('../images/menu_dropdown_bg.png'); color:#fff  }
	#main-navbar-menu .dropdown-menu .dropdown-title + div { border-top:1px solid var(--bs-border-color)}
	#main-navbar-menu .dropdown-menu .dropdown-item { --bs-dropdown-item-padding-x: 2rem; font-size:1.15rem; /*display: inline-block; width: 30%;*/ }
	#main-navbar-menu .dropdown-menu .dropdown-item i { background: rgba(var(--bs-secondary-rgb),.65); border-radius: 50%; padding: .3rem; margin-right: .25rem; color: #fff;  width: 30px; height: 30px; display: inline-block; vertical-align:middle; text-align: center; overflow:hidden;  transition: all .5s ease-in-out;}

	#main-navbar-menu .dropdown-menu .dropdown-item.active i, #main-navbar-menu .dropdown-menu .dropdown-item:hover i { background: var(--bs-dark) }

	/*hover*/
	#main-navbar-menu > li > a  {position:relative}
	#main-navbar-menu > li:not(.active) > a:before { position: absolute;  content: '';  top: -8px;  left: 50%; width: 0; height:3px; background-color: var(--bs-caritas);  -webkit-transition: all .6s;   transition: all .6s;}
	#main-navbar-menu > li:hover > a:before { width: 100%;  left: 0; }
	#menu-mask {z-index: 40; width: 100vw; height: 100vh; position: fixed; top: 80px; left: 0; opacity: 0.45; background-color: #000; }
}
/*#main-navbar-menu li:hover > a:not(.show) + .dropdown-menu, #main-navbar-menu a:focus > a:not(.show) + .dropdown-menu { display: block; margin-top: 1px !important; }hover시 메뉴보이기*/

/**/
.nav-pills-custom .nav-link, .nav-pills-custom .show > .nav-link { color: #6c757d; padding: .25rem .75rem; margin-right:.5rem; border:1px solid transparent }
.nav-pills-custom .nav-link.active, .nav-pills-custom .show > .nav-link { background-color:transparent; border:1px solid #777}

/*navbar search*/
.search-inline { width: 100%; height: 100%; transition: all .5s ease-in-out; background:var(--bs-body-bg) }
.search-inline.show { left: 0; margin:0; padding: 0;border-width: 1px 0 0 0; border-radius: 0; z-index:8; animation: fadeInDown 0.2s ease-in-out; }
.search-inline button[type="submit"] { position: absolute;top: 0;right: 80px;width: 80px;height: 100%;padding: 0px;border: 0px;background: #343a40;color: #fff; }
.search-inline .form-control {position: absolute;left: 0;top: 0;height: 100%;width: 100%;border: 0px;border-radius:0; font-size: 1.2rem;box-shadow: none;}
.search-inline .search-close { position: absolute; top: 0; right: 0; color: #616161; width: 80px; height: 100%; text-align: center; display: table; background: #efefef; text-decoration: none; border:0 }
@media screen and (max-width: 767px) { 
	.search-inline button[type="submit"] { right: 50px;width: 50px; }
	.search-inline .search-close { width: 50px; }
}
.blockquote {border-left: .5rem solid #ddd;padding-left: 1rem;border-radius: .75rem;}
.footer a:not(.nav-link):hover {color: #ff670f;transition: color 0.2s linear 0s;}
[data-ani] {opacity:0; }
.note-editable [data-ani] {opacity:inherit }

/*ripple*/
.ripple-effect { margin-top: 0; margin-left: 0; width: 1px;  height: 1px; }

/*preloader*/
#preloader { position: fixed; width: 100%; height: 100vh; left: 0; right: 0; top: 0; bottom: 0; overflow: hidden; z-index: 999999;background-color:var(--bs-body-bg); transition: opacity 1.25s; }
#preloader .spinner-border { width:4rem; height:4rem; --bs-spinner-animation-speed:.5s; --bs-spinner-border-width:.15em; animation-timing-function: /*ease-in-out*/cubic-bezier(.65,.05,.36,1); border-color:var(--bs-gray-200); border-top-color:var(--bs-caritas) }

/*dark mode*/
[data-bs-theme="dark"] {--bs-caritas:#ffa5a7 ; --bs-body-bg:var(--bs-tertiary-bg) !important; --bs-dark:var(--bs-tertiary-bg) !important; --bs-main-bg :var(--bs-secondary-bg) !important;}
[data-bs-theme="dark"] .btn-outline-dark { --bs-btn-color: #fff;  --bs-btn-border-color: #6c757d;  --bs-btn-hover-color: #fff;  --bs-btn-hover-bg: #111;  --bs-btn-hover-border-color: #6c757d;  --bs-btn-focus-shadow-rgb: 108, 117, 125;  --bs-btn-active-color: #fff;  --bs-btn-active-bg: #6c757d;  --bs-btn-active-border-color: #6c757d;  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);  --bs-btn-disabled-color: #6c757d;  --bs-btn-disabled-bg: transparent;  --bs-btn-disabled-border-color: #6c757d;  --bs-gradient: none;	}
[data-bs-theme="dark"] .bg-white, [data-bs-theme="dark"] .bg-light, [data-bs-theme="dark"] .badge.bg-dark  {background:var(--bs-tertiary-bg) !important}
[data-bs-theme="dark"] .btn-light  {--bs-btn-bg: var(--bs-tertiary-bg); --bs-btn-color:var(--bs-body-color); }
[data-bs-theme="dark"] .table-light  {--bs-table-color:var(--bs-body-color); --bs-table-bg:var(--bs-tertiary-bg) !important}
	
[data-bs-theme="dark"] #main-navbar.fixed-top {box-shadow: 0px 1px 0px rgba(255,255,255,.2) !important;} 
[data-bs-theme="dark"] #main-navbar.fixed-top .dropdown-menu { box-shadow: 0px 1px 1px rgba(255,255,255,.2) !important;}
[data-bs-theme="dark"] #main-navbar.fixed-top .dropdown-submenu .dropdown-menu { box-shadow: 1px 1px 1px 1px rgba(255,255,255,.2) !important;}
[data-bs-theme="dark"] .carousel .carousel-control-prev-icon, [data-bs-theme="dark"] .carousel .carousel-control-next-icon {filter:none}